scala.tools.nsc

# MainClass

#### class MainClass extends Driver with EvalLoop

The main class for NSC, a compiler for the programming language Scala.

Source
  Main.scala

Linear Supertypes
EvalLoop, Driver, AnyRef, Any
Known Subclasses
Main
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. MainClass
2. EvalLoop
3. Driver
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new MainClass()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from MainClass to any2stringadd[MainClass] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (MainClass, B)

   Implicit information
     This member is added by an implicit conversion from MainClass to ArrowAssoc[MainClass] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### var command: CompilerCommand

   Attributes
     protected
   Definition Classes
     Driver

9. #### def doCompile(compiler: Global): Unit

   Definition Classes
     MainClass → Driver

10. #### def ensuring(cond: (MainClass) ⇒ Boolean, msg: ⇒ Any): MainClass

    Implicit information
      This member is added by an implicit conversion from MainClass to Ensuring[MainClass] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (MainClass) ⇒ Boolean): MainClass

    Implicit information
      This member is added by an implicit conversion from MainClass to Ensuring[MainClass] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): MainClass

    Implicit information
      This member is added by an implicit conversion from MainClass to Ensuring[MainClass] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): MainClass

    Implicit information
      This member is added by an implicit conversion from MainClass to Ensuring[MainClass] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from MainClass to StringFormat[MainClass] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### def loop(action: (String) ⇒ Unit): Unit

    Definition Classes
      EvalLoop

22. #### def main(args: Array[String]): Unit

    Definition Classes
      Driver

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### def newCompiler(): Global

    Definition Classes
      MainClass → Driver

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def process(args: Array[String]): Unit

    Definition Classes
      Driver

28. #### def processSettingsHook(): Boolean

    Attributes
      protected
    Definition Classes
      Driver

29. #### val prompt: String

    Definition Classes
      Driver

30. #### var reporter: ConsoleReporter

    Definition Classes
      Driver

31. #### def resident(compiler: Global): Unit

32. #### def scalacError(msg: String): Unit

    Attributes
      protected
    Definition Classes
      Driver

33. #### var settings: Settings

    Attributes
      protected
    Definition Classes
      Driver

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### def toString(): String

    Definition Classes
      AnyRef → Any

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### def →[B](y: B): (MainClass, B)

    Implicit information
      This member is added by an implicit conversion from MainClass to ArrowAssoc[MainClass] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from EvalLoop

### Inherited from Driver

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from MainClass to any2stringadd[MainClass]

### Inherited by implicit conversion StringFormat from MainClass to StringFormat[MainClass]

### Inherited by implicit conversion Ensuring from MainClass to Ensuring[MainClass]

### Inherited by implicit conversion ArrowAssoc from MainClass to ArrowAssoc[MainClass]

### Ungrouped